Get products
curl --request GET \
--url https://live.nocnocstore.com/api/v2/products \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://live.nocnocstore.com/api/v2/products"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://live.nocnocstore.com/api/v2/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"products": [
{
"sku": "TEST1",
"created_at": "2023-06-21 18:35:14",
"updated_at": "2023-06-23 18:35:14",
"international_ids": {
"asin": "BTEST1",
"gtin": ["123123TEST1"]
},
"brand": "MyBrand",
"available_quantity": 100,
"price": 19.99,
"currency_code": "USD",
"status": "SUCCESS",
"package_dimensions": {
"size": {
"unit": "inches",
"width": 5.0,
"height": 5.0,
"length": 3.0
},
"weight": {
"value": 1.5,
"unit": "kg"
}
},
"product_dimensions": {
"size": {
"unit": "inches",
"width": 20.0,
"height": 10.0,
"length": 5.0
},
"weight": {
"value": 2.0,
"unit": "kg"
}
},
"images": [
{ "source_url": "https://example.com/image.jpg" }
],
"title": "Product Title",
"description_language": "en",
"description": "Product description",
"description_html": "<p>Product description in HTML</p>",
"attributes": [
{ "type": "COLOR", "value": "Red" },
{ "type": "SIZE", "value": "Large" }
]
}
]
}
{
"code": 400,
"message": "Invalid query parameter format."
}
{
"code": 401,
"message": "Unauthorized"
}
Products
Get products
Returns all your published products. Supports filtering by date and pagination.
GET
/
api
/
v2
/
products
Get products
Requests go to the live environment — all actions are real.
Authorization
string
required
Your seller API key. Provided by your nocnoc account manager.
Query parameters
string
Filter products updated from this date. Format:
yyyy-MM-dd'T'HH:mm:ss.SS'Z'string
Filter products updated up to this date. Format:
yyyy-MM-dd'T'HH:mm:ss.SS'Z'integer
Page number for pagination.
integer
Number of results per page.
Returns
A paginated list of your published products, including SKU, title, price, stock, dimensions, images, and attributes.Example request
curl https://live.nocnocstore.com/api/v2/products?page=1&size=10 \
-H "X-Api-Key: YOUR_SELLER_KEY"
{
"products": [
{
"sku": "TEST1",
"created_at": "2023-06-21 18:35:14",
"updated_at": "2023-06-23 18:35:14",
"international_ids": {
"asin": "BTEST1",
"gtin": ["123123TEST1"]
},
"brand": "MyBrand",
"available_quantity": 100,
"price": 19.99,
"currency_code": "USD",
"status": "SUCCESS",
"package_dimensions": {
"size": {
"unit": "inches",
"width": 5.0,
"height": 5.0,
"length": 3.0
},
"weight": {
"value": 1.5,
"unit": "kg"
}
},
"product_dimensions": {
"size": {
"unit": "inches",
"width": 20.0,
"height": 10.0,
"length": 5.0
},
"weight": {
"value": 2.0,
"unit": "kg"
}
},
"images": [
{ "source_url": "https://example.com/image.jpg" }
],
"title": "Product Title",
"description_language": "en",
"description": "Product description",
"description_html": "<p>Product description in HTML</p>",
"attributes": [
{ "type": "COLOR", "value": "Red" },
{ "type": "SIZE", "value": "Large" }
]
}
]
}
{
"code": 400,
"message": "Invalid query parameter format."
}
{
"code": 401,
"message": "Unauthorized"
}
⌘I